> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search people

> Search people



## OpenAPI

````yaml post /people/search
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /people/search:
    post:
      tags:
        - People
      summary: Search people
      description: Search people
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                person_name:
                  type: string
                person_titles:
                  type: array
                  items:
                    type: string
                person_keywords:
                  type: array
                  description: >-
                    Keywords to search in the person's profile summary
                    (headline, about, etc.). Matches any keyword by default.
                  items:
                    type: string
                person_exclude_keywords:
                  type: array
                  description: Keywords to exclude from the person's profile summary.
                  items:
                    type: string
                company_keywords:
                  type: array
                  description: >-
                    Keywords to search in the person's company description.
                    Matches any keyword by default.
                  items:
                    type: string
                company_exclude_keywords:
                  type: array
                  description: Keywords to exclude from the person's company description.
                  items:
                    type: string
                person_title_exact_match:
                  type: boolean
                person_seniorities:
                  type: array
                  items:
                    type: string
                    enum:
                      - Owner
                      - Founder
                      - C-Suite
                      - Partner
                      - VP
                      - Head
                      - Director
                      - Manager
                      - Senior
                      - Entry
                      - Intern
                      - Other
                      - Non-Manager
                      - Founder / Owner
                person_departments:
                  type: array
                  description: >-
                    Available options: [Supported
                    departments](/api-reference/supported-departments)
                  items:
                    type: string
                person_job_functions:
                  type: array
                  description: >-
                    Available options: [Supported job
                    functions](/api-reference/supported-job-functions)
                  items:
                    type: string
                person_locations:
                  type: array
                  items:
                    type: string
                person_exclude_locations:
                  type: array
                  items:
                    type: string
                company_locations:
                  type: array
                  items:
                    type: string
                company_exclude_locations:
                  type: array
                  items:
                    type: string
                company_names:
                  type: array
                  items:
                    type: string
                company_exclude_names:
                  type: array
                  items:
                    type: string
                company_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                company_exclude_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                education_company_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                education_company_names:
                  type: array
                  items:
                    type: string
                company_domains:
                  type: array
                  items:
                    type: string
                    format: domain
                company_exclude_domains:
                  type: array
                  items:
                    type: string
                    format: domain
                company_linkedin_urls:
                  type: array
                  items:
                    type: string
                company_exclude_linkedin_urls:
                  type: array
                  items:
                    type: string
                company_domains_match_subsidiaries_and_affiliates:
                  type: boolean
                company_focuses:
                  type: array
                  items:
                    type: string
                    enum:
                      - b2b
                      - b2c
                company_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - Public Company
                      - Educational
                      - Self Employed
                      - Government Agency
                      - Non Profit
                      - Self Owned
                      - Privately Held
                      - Partnership
                company_sizes:
                  type: array
                  items:
                    type: string
                    enum:
                      - 1-10 employees
                      - 11-50 employees
                      - 51-200 employees
                      - 201-500 employees
                      - 501-1000 employees
                      - 1001-5000 employees
                      - 5001-10000 employees
                      - 10001+ employees
                company_industries:
                  type: array
                  description: >-
                    Available options: [Supported
                    industries](/api-reference/supported-industries)
                  items:
                    type: string
                company_exclude_industries:
                  type: array
                  description: >-
                    Available options: [Supported
                    industries](/api-reference/supported-industries)
                  items:
                    type: string
                linkedin_networks:
                  type: array
                  description: >-
                    Array of user email addresses. The LinkedIn networks of
                    these users will be used for filtering results. Use the
                    special string `all_networks` to include all LinkedIn
                    networks associated with the account's users.
                  items:
                    type: string
                exclude_linkedin_networks:
                  type: array
                  description: >-
                    Array of user email addresses. The LinkedIn networks of
                    these users will be excluded from the results. Use the
                    special string `all_networks` to exclude all LinkedIn
                    networks associated with the account's users.
                  items:
                    type: string
                company_investors:
                  type: array
                  description: >-
                    Array of investor names. Filter for companies that have
                    received investment by any of the specified investors.
                  items:
                    type: string
                company_shares_investors_with:
                  type: array
                  description: >-
                    Array of company names. Filter for companies that share one
                    or more common investors with the specified companies.
                  items:
                    type: string
                company_revenue:
                  type: array
                  description: Filter by the person's company estimated revenue range.
                  items:
                    type: string
                    enum:
                      - $0-$1M
                      - $1M-$10M
                      - $10M-$100M
                      - $100M-$1B
                      - $1B+
                company_founded_date:
                  type: object
                  description: Filter by the person's company founding year range.
                  properties:
                    min:
                      type: integer
                      description: Minimum founding year
                    max:
                      type: integer
                      description: Maximum founding year
                company_web_traffic_rank:
                  type: object
                  description: Filter by the person's company web traffic rank.
                  properties:
                    min:
                      type: integer
                      description: Minimum traffic rank
                    max:
                      type: integer
                      description: Maximum traffic rank
                job_openings:
                  type: object
                  description: >-
                    Filter by the person's company having matching open
                    positions.
                  properties:
                    titles:
                      type: array
                      description: Free-text job titles to filter by.
                      items:
                        type: string
                news:
                  type: object
                  description: Filter by the person's company having recent news.
                  properties:
                    categories:
                      type: array
                      description: News category slugs.
                      items:
                        type: string
                    range_months:
                      type: integer
                      description: Number of months to look back for news.
                headcount_growth:
                  type: object
                  description: >-
                    Filter by the person's company total headcount growth
                    percentage.
                  properties:
                    growth_rates:
                      type: array
                      items:
                        type: object
                        properties:
                          min:
                            type: integer
                          max:
                            type: integer
                    time_frame_in_months:
                      type: integer
                      enum:
                        - 3
                        - 6
                        - 12
                crm_account_owner:
                  type: array
                  description: >-
                    Filter by the person's company CRM account owner emails.
                    Requires a connected CRM integration (Salesforce or
                    HubSpot). Returns an error if no owners match the provided
                    emails.
                  items:
                    type: string
                    format: email
                company_last_funding:
                  type: object
                  description: Filter by the person's company last funding round.
                  properties:
                    round_type:
                      type: array
                      items:
                        type: string
                        enum:
                          - pre_seed
                          - seed
                          - angel
                          - venture_round_unknown_series
                          - series_a
                          - series_b
                          - series_c
                          - series_d
                          - series_e
                          - series_f
                          - series_g
                          - series_h
                          - series_i
                          - series_j
                          - debt
                          - equity_crowdfunding
                          - convertible_note
                          - ico
                          - private_equity
                          - other
                    range_months:
                      type: integer
                      description: Number of months to look back for last funding.
                page:
                  type: integer
                  default: 1
                page_size:
                  type: integer
                  default: 5
                  minimum: 1
                  maximum: 100
        required: true
        description: Parameters to use for searching people.
      responses:
        '200':
          description: Ok
          content:
            application/json:
              examples:
                Ok:
                  value:
                    object: person_search_result
                    results:
                      - id: 019e8e97-609a-70ee-8d50-5404c5d72cb9
                        object: person
                        name: Jonh Doe
                        first_name: Jonh
                        last_name: Doe
                        linkedin_url: https://www.linkedin.com/in/person-1
                        title: Founder and CEO
                        headline: CEO @ Company
                        about: null
                        current_position_start_date: '2022-05-01'
                        current_position_description: null
                        image_url: https://example.com/resource
                        location: San Francisco, California, United States
                        location_details:
                          city: San Francisco
                          state: California
                          country: United States
                          lat: 37.7749
                          long: -122.4194
                        experiences:
                          - object: experience
                            title: CEO
                            company_name: A Company
                            company_linkedin_url: https://www.linkedin.com/company/company-1
                            description: null
                            start_date: '2024-06-01'
                            end_date: null
                        educations:
                          - object: education
                            degree: BSc
                            field_of_study: Computer Science
                            school_name: MIT
                            school_linkedin_url: https://www.linkedin.com/school/mit
                            start_date: '2020-06-01'
                            end_date: '2024-06-01'
                        languages:
                          - object: language
                            language: Portuguese
                            iso_code: por
                            proficiency: Native or bilingual proficiency
                          - object: language
                            language: English
                            iso_code: eng
                            proficiency: Professional working proficiency
                          - object: language
                            language: Spanish
                            iso_code: spa
                            proficiency: null
                        company:
                          id: 019e8e97-607d-7fa3-8bd3-84094a8db8a5
                          object: company
                          name: A Company
                          website: https://company.com
                          linkedin_url: https://www.linkedin.com/company/company-1
                          keywords:
                            - sales
                            - ai sales
                            - sales engagement
                          estimated_number_of_employees: 500
                          size: 201-500 employees
                          industry: Software Development
                          logo_url: >-
                            https://assets.amplemarket.com/avatars/company/019e8e97-607d-7fa3-8bd3-84094a8db8a5
                          location: San Francisco, California, United States
                          location_details:
                            city: San Francisco
                            state: California
                            country: United States
                            postal_code: '94103'
                            lat: 37.7749
                            long: -122.4194
                          locations: []
                          overview: Circle Health is a group of hospitals in the UK
                          followers: 0
                          founded_year: 1995
                          traffic_rank: 50
                          sic_codes:
                            - 1
                            - 2
                            - 3
                          naics_codes:
                            - 5112
                            - 511
                            - 51
                          type: Privately Held
                          total_funding: 0
                          latest_funding_stage: series_b
                          latest_funding_date: '2019-11-02'
                          funding_events:
                            - date: '2019-11-02'
                              type: Series B
                              investors: []
                              amount: 40000000
                              currency: null
                              amount_usd: null
                          is_b2b: true
                          is_b2c: false
                          technologies: []
                          department_headcount:
                            consulting: 31420
                            design: 5312
                            education: 9063
                            engineering_technical: 167805
                            finance: 31894
                            human_resources: 33265
                            information_technology: 94657
                            legal: 41863
                            marketing: 38192
                            medical_health: 11440
                            operations: 198127
                            product: 11077
                            revenue: 75777
                            senior_leadership: 1933
                          job_function_headcount:
                            finance:
                              accounting: 12824
                              finance: 12197
                              financial_planning_analysis: 2468
                              financial_reporting: 250
                              financial_risk: 886
                              financial_strategy: 91
                              financial_systems: 11
                              internal_audit_control: 850
                              investor_relations: 129
                              mergers_acquisitions: 259
                              real_estate_finance: 117
                              shared_services: 56
                              sourcing_procurement: 3767
                              tax: 822
                              treasury: 179
                            legal:
                              acquisitions: 8
                              compliance: 4921
                              contracts: 206
                              corporate_secretary: 217
                              ediscovery: 57
                              ethics: 1070
                              governance: 66
                              governmental_affairs_regulatory_law: 518
                              intellectual_property_patent: 63
                              labor_employment: 96
                              lawyer_attorney: 2014
                              legal: 31969
                              legal_counsel: 879
                              legal_operations: 3777
                              litigation: 89
                              privacy: 198
                            revenue:
                              account_management: 16253
                              business_development: 10633
                              channel_sales: 618
                              customer_retention_development: 1746
                              customer_success: 15253
                              field_outside_sales: 5375
                              inside_sales: 3475
                              partnerships: 380
                              revenue_operations: 26
                              sales: 43809
                              sales_enablement: 26
                              sales_engineering: 135
                              sales_operations: 254
                              sales_training: 465
                            engineering_technical:
                              artificial_intelligence_machine_learning: 4466
                              bioengineering_biometrics: 2
                              business_intelligence: 6811
                              chemical_engineering: 3014
                              cloud_mobility: 1144
                              data_science: 9589
                              devops: 502
                              digital_transformation: 13
                              emerging_technology_innovation: 576
                              engineering_technical: 37540
                              industrial_engineering: 1242
                              mechanic: 1037
                              mobile_development: 3282
                              project_management: 4923
                              research_development: 10123
                              scrum_master_agile_coach: 173
                              software_development: 57246
                              support_technical_services: 8328
                              technician: 7999
                              technology_operations: 64
                              test_quality_assurance: 6722
                              ui_ux: 458
                              web_development: 2551
                            operations:
                              call_center: 2095
                              construction: 2338
                              corporate_strategy: 1194
                              customer_service_support: 21434
                              enterprise_resource_planning: 389
                              facilities_management: 18036
                              leasing: 33
                              logistics: 75145
                              office_operations: 32304
                              operations: 27241
                              physical_security: 3280
                              project_development: 695
                              quality_management: 1801
                              real_estate: 961
                              safety: 2794
                              store_operations: 26641
                              supply_chain: 2728
                            senior_leadership:
                              executive: 348
                              finance_executive: 71
                              founder: 1128
                              human_resources_executive: 3
                              information_technology_executive: 35
                              legal_executive: 2
                              marketing_executive: 314
                              medical_health_executive: 3
                              operations_executive: 32
                              sales_executive: 2
                            medical_health:
                              anesthesiology: 33
                              chiropractics: 64
                              clinical_systems: 91
                              dentistry: 480
                              dermatology: 6
                              doctors_physicians: 1214
                              epidemiology: 1
                              first_responder: 504
                              medical_administration: 767
                              medical_education_training: 19
                              medical_research: 92
                              medicine: 1202
                              neurology: 1
                              nursing: 2053
                              nutrition_dietetics: 94
                              obstetrics_gynecology: 50
                              oncology: 3
                              ophthalmology: 11
                              optometry: 46
                              orthopedics: 14
                              pathology: 15
                              pediatrics: 20
                              pharmacy: 873
                              physical_therapy: 342
                              psychiatry: 383
                              psychology: 663
                              public_health: 803
                              radiology: 215
                              social_work: 2495
                            information_technology:
                              application_development: 37630
                              business_service_management_itsm: 1710
                              collaboration_web_app: 281
                              data_center: 597
                              data_warehouse: 2090
                              database_administration: 309
                              ecommerce_development: 285
                              enterprise_architecture: 784
                              help_desk_desktop_services: 4164
                              hr_financial_erp_systems: 807
                              information_security: 1742
                              information_technology: 9139
                              infrastructure: 2254
                              it_asset_management: 100
                              it_audit_it_compliance: 50
                              it_operations: 6941
                              it_procurement: 866
                              it_strategy: 439
                              it_training: 51
                              networking: 1528
                              project_program_management: 15780
                              quality_assurance: 8126
                              retail_store_systems: 1042
                              servers: 984
                              storage_disaster_recovery: 111
                              telecommunications: 186
                              virtualization: 915
                            education:
                              principal: 458
                              professor: 694
                              superintendent: 28
                              teacher: 7885
                            marketing:
                              advertising: 3032
                              brand_management: 2504
                              content_marketing: 2641
                              customer_experience: 812
                              customer_marketing: 8
                              demand_generation: 507
                              digital_marketing: 1640
                              ecommerce_marketing: 1121
                              event_marketing: 125
                              field_marketing: 740
                              lead_generation: 2937
                              marketing: 18980
                              marketing_analytics_insights: 716
                              marketing_communications: 496
                              marketing_operations: 71
                              product_marketing: 1319
                              public_relations: 972
                              search_engine_optimization_pay_per_click: 974
                              social_media_marketing: 1411
                              strategic_communications: 709
                              technical_marketing: 5
                            consulting:
                              consultant: 31420
                            human_resources:
                              compensation_benefits: 908
                              culture_diversity_inclusion: 182
                              employee_labor_relations: 1147
                              health_safety: 1087
                              hr_business_partner: 3332
                              human_resource_information_system: 1321
                              human_resources: 13884
                              learning_development: 7386
                              organizational_development: 154
                              people_operations: 10
                              recruiting_talent_acquisition: 5764
                              talent_management: 911
                              workforce_management: 571
                            design:
                              graphic_visual_brand_design: 3707
                              product_or_ui_ux_design: 2364
                            product:
                              product_development: 266
                              product_management: 10811
                          estimated_revenue: $1M-$10M
                        gender: male
                    _pagination:
                      page: 1
                      page_size: 30
                      total_pages: 1
                      total: 1
              schema:
                $ref: '#/components/schemas/response_person_search_result_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Bad page_size:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''page_size'' must be between 1 and 100.'
                        source:
                          pointer: /page_size
                    object: error
                Bad industry:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Industry A'' is not a supported industry.'
                        source:
                          pointer: /company_industries
                    object: error
                Too many options in filter:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Industry 0'' is not a supported industry.'
                        source:
                          pointer: /company_industries
                    object: error
                Bad company type:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Some company type'' is not a supported company type.'
                        source:
                          pointer: /company_types
                    object: error
                Bad company focus:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          'business2business' is not a supported company focus
                          value.
                        source:
                          pointer: /company_focuses
                    object: error
                Bad company size:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''1000000000+'' is not a supported company size.'
                        source:
                          pointer: /company_sizes
                    object: error
                Bad seniority:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Some seniority'' is not a supported seniority.'
                        source:
                          pointer: /person_seniorities
                    object: error
                Bad department:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Some department'' is not a supported department.'
                        source:
                          pointer: /person_departments
                    object: error
                Bad job function:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''Some function'' is not a supported job function.'
                        source:
                          pointer: /person_job_functions
                    object: error
                User missing:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: 'The following users don''t exist: missing@domain.com.'
                        source:
                          pointer: /linkedin_networks
                    object: error
                User missing linkedin account:
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          The following users don't exist:
                          starrocks-linkedin-network-user-1@example.com.
                        source:
                          pointer: /exclude_linkedin_networks
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '500':
          description: Internal server error
          content:
            application/json:
              examples:
                Internal server error:
                  value:
                    _errors:
                      - code: internal_server_error
                        title: Internal Server Error
                        detail: Something went wrong.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_person_search_result_object:
      type: object
      required:
        - object
        - results
        - _pagination
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - person_search_result
        results:
          type: array
          items:
            $ref: '#/components/schemas/response_person_object'
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _pagination:
          $ref: '#/components/schemas/response_pagination_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_person_object:
      type: object
      required:
        - id
        - object
        - linkedin_url
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - person
        linkedin_url:
          nullable: false
          type: string
        name:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        first_name:
          nullable: true
          type: string
        last_name:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        headline:
          nullable: true
          type: string
        about:
          nullable: true
          type: string
        current_position_start_date:
          nullable: true
          type: string
          format: date
        current_position_description:
          nullable: true
          type: string
        location:
          nullable: true
          type: string
        image_url:
          type: string
          format: uri
        gender:
          type: string
          enum:
            - male
            - female
            - likely_male
            - likely_female
            - unknown
        location_details:
          $ref: '#/components/schemas/response_location_details_object'
        experiences:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_experience_object'
        educations:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_education_object'
        languages:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_language_object'
        phone_numbers:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/response_phone_number_object'
        company:
          $ref: '#/components/schemas/response_company_object'
          nullable: true
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_pagination_object:
      type: object
      required:
        - page
        - page_size
        - total
      additionalProperties: false
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_location_details_object:
      type: object
      additionalProperties: false
      properties:
        country:
          nullable: true
          type: string
        state:
          nullable: true
          type: string
        city:
          nullable: true
          type: string
        postal_code:
          nullable: true
          type: string
        lat:
          nullable: true
          type: number
        long:
          nullable: true
          type: number
    response_experience_object:
      type: object
      required:
        - object
        - title
        - company_name
        - company_linkedin_url
        - description
        - start_date
        - end_date
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - experience
        title:
          type: string
        company_name:
          type: string
        company_linkedin_url:
          nullable: true
          type: string
          format: uri
        description:
          nullable: true
          type: string
        start_date:
          nullable: true
          type: string
          format: date
        end_date:
          nullable: true
          type: string
          format: date
    response_education_object:
      type: object
      required:
        - object
        - degree
        - field_of_study
        - school_name
        - school_linkedin_url
        - start_date
        - end_date
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - education
        degree:
          nullable: true
          type: string
        field_of_study:
          nullable: true
          type: string
        school_name:
          type: string
        school_linkedin_url:
          nullable: true
          type: string
          format: uri
        start_date:
          nullable: true
          type: string
          format: date
        end_date:
          nullable: true
          type: string
          format: date
    response_language_object:
      type: object
      required:
        - object
        - language
        - iso_code
        - proficiency
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - language
        language:
          nullable: false
          type: string
        iso_code:
          nullable: false
          type: string
        proficiency:
          nullable: true
          type: string
    response_phone_number_object:
      type: object
      required:
        - object
        - id
        - number
        - type
      additionalProperties: true
      properties:
        object:
          type: string
          enum:
            - phone_number
        id:
          type: string
          format: uuid
        number:
          type: string
        type:
          type: string
          enum:
            - mobile
            - office
            - phone
            - landline
            - voip
            - direct
        source:
          type: string
          enum:
            - amplemarket
            - crm
            - user_uploaded
    response_company_object:
      type: object
      required:
        - id
        - object
        - linkedin_url
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - company
        linkedin_url:
          nullable: false
          type: string
        name:
          nullable: true
          type: string
        overview:
          nullable: true
          type: string
        website:
          nullable: true
          type: string
        keywords:
          nullable: true
          type: array
          items:
            type: string
        followers:
          nullable: true
          type: integer
        estimated_number_of_employees:
          nullable: true
          type: integer
        size:
          nullable: true
          type: string
          enum:
            - 10001+ employees
            - 201-500 employees
            - 51-200 employees
            - 11-50 employees
            - 1-10 employees
        location:
          nullable: true
          type: string
        location_details:
          $ref: '#/components/schemas/response_location_details_object'
        locations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/response_location_object'
        logo_url:
          type: string
          format: uri
        founded_year:
          nullable: true
          type: integer
        traffic_rank:
          nullable: true
          type: integer
        sic_codes:
          nullable: true
          type: array
          items:
            type: integer
        naics_codes:
          nullable: true
          type: array
          items:
            type: integer
        type:
          nullable: true
          type: string
          enum:
            - Public Company
            - Educational
            - Self Employed
            - Government Agency
            - Non Profit
            - Self Owned
            - Privately Held
            - Partnership
        total_funding:
          nullable: true
          type: integer
        latest_funding_stage:
          nullable: true
          type: string
          enum:
            - seed
            - angel
            - venture_round_unknown_series
            - series_a
            - series_b
            - series_c
            - series_d
            - series_e
            - series_f
            - series_g
            - series_h
            - series_i
            - series_j
            - debt
            - equity_crowdfunding
            - convertible_note
            - ico
            - private_equity
            - other
        latest_funding_date:
          nullable: true
          type: string
          format: date
        is_b2b:
          nullable: true
          type: boolean
        is_b2c:
          nullable: true
          type: boolean
        technologies:
          nullable: true
          type: array
          items:
            type: string
        department_headcount:
          $ref: '#/components/schemas/response_department_headcount_object'
        job_function_headcount:
          $ref: '#/components/schemas/response_job_function_headcount_object'
        estimated_revenue:
          nullable: true
          type: string
          enum:
            - $0-$1M
            - $1M-$10M
            - $10M-$100M
            - $100M-$1B
            - $1B+
        revenue:
          nullable: true
          type: integer
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
    response_location_object:
      type: object
      additionalProperties: false
      properties:
        address:
          nullable: false
          type: string
          description: Full address as a single string
        is_primary:
          nullable: false
          type: boolean
          description: Indicates if this is the primary location
        country:
          nullable: true
          type: string
          description: Country name (e.g., United States)
        state:
          nullable: true
          type: string
          description: State or subdivision name (e.g., California, New York)
        city:
          nullable: true
          type: string
          description: City name
        postal_code:
          nullable: true
          type: string
          description: Postal code
    response_department_headcount_object:
      type: object
      additionalProperties:
        type: integer
    response_job_function_headcount_object:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````